###Docker File node

FROM node:16.20-alpine AS build

RUN echo install process started

WORKDIR /letscodebyada-app

COPY package.json /letscodebyada-app/

##RUN npm i npm@latest -g

RUN npm install && npm install -g @angular/cli

#ENV NODE_OPTIONS --openssl-legacy-provider

COPY . /letscodebyada-app/

#

RUN cd /letscodebyada-app

RUN ng build 

CMD ng serve --host=0.0.0.0 --port 3000 --disable-host-check

RUN echo finalizado com sucesso 




